//-----------------------------------------------------------------------------
//    KAmodCOMBO library
//-----------------------------------------------------------------------------
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//-----------------------------------------------------------------------------


#include <avr/io.h>


#define STLED316_DIO_DD DDRD
#define STLED316_CLK_DD DDRD
#define STLED316_STB_DD DDRD
#define STLED316_IRQ_DD DDRD

#define STLED316_DIO_PINS PIND  
#define STLED316_CLK_PINS PIND
#define STLED316_STB_PINS PIND
#define STLED316_IRQ_PINS PIND

#define STLED316_DIO_PORT PORTD 
#define STLED316_CLK_PORT PORTD
#define STLED316_STB_PORT PORTD
#define STLED316_IRQ_PORT PORTD


#define STLED316_DIO_PIN PIND0  
#define STLED316_CLK_PIN PIND1
#define STLED316_STB_PIN PIND2
#define STLED316_IRQ_PIN PIND3


								// LED display segments
#define STLED316_TOP_SEG 0x1
#define STLED316_MID_SEG 0x40
#define STLED316_BOT_SEG 0x8
#define STLED316_LT_SEG 0x20	// Left-top
#define STLED316_LB_SEG 0x10	// Left-bottom
#define STLED316_RT_SEG 0x2  	// Right-top
#define STLED316_RB_SEG 0x4  	// Right-bottom
#define STLED316_DOT_SEG 0x80

#define STLED316_BRGHT_MODE_CONST 	0x18
#define STLED316_BRGHT_MODE_VAR 	0x0

void STLED316_Initialize();
void STLED316_DisplayOn();
void STLED316_DisplayOff();
void STLED316_SetLEDStates(unsigned char LEDs);
void STLED316_SetBrghtCtrlModeAndDigitCnt(unsigned char Mode, unsigned char ConstBrightness, unsigned char DigitCount);
void STLED316_SetLEDBrightness(unsigned char * LEDBrightness);
void STLED316_7Seg_Write(unsigned char DisplayNumber, unsigned char Segments);
void STLED316_7Seg_SetBrghtInd(unsigned char DisplayNum, unsigned char Brightness1, unsigned char Brightness2);
void STLED316_ReadLEDsAndButtons(unsigned char * LEDs, unsigned char * Buttons1, unsigned char * Buttons2);
void STLED316_ReadLEDBrightness(unsigned char * LEDBrightness);
